Page MenuHomePhabricator

[M] MediaSearch - QuickView of image gives Console errors
Closed, ResolvedPublic

Description

Note: I could not reproduce the issue in production although there are many small-sized images.
Update: This does happen on production. E.g. searching for "icon" produces a lot of small results.

  1. On betalabs Special:MediaSearch enter "dark night" (without quotes) as search terms into the search field. Press 'Search' (https://commons.wikimedia.beta.wmflabs.org/wiki/Special:MediaSearch?type=bitmap&q=dark+night).
  2. Only one result (https://commons.wikimedia.beta.wmflabs.org/wiki/File:Volcanic_Eruptions_on_Io_-_Discovery_Picture.j) is returned - click on it to bring the QuickView.

The UI is displayed as the following:


The Console will display the following two errors:

TypeError: mw.util.parseImageUrl(...).resizeUrl is not a function
TypeError: Cannot read property 'focus' of undefined

It seems to complained of this one:

function Ue(e, t, n) {
                if (!z && !V || "undefined" == typeof console)
                    throw e;
                console.error(e)
            }

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 21 2020, 12:10 AM
CBogen renamed this task from [betalabs] MediaSearch - QuickView of image gives Console errors to [M] MediaSearch - QuickView of image gives Console errors .Oct 21 2020, 4:55 PM
CBogen updated the task description. (Show Details)
Reedy renamed this task from [M] MediaSearch - QuickView of image gives Console errors to [M] MediaSearch - QuickView of image gives Console errors .Nov 17 2020, 2:04 AM

Change 641321 had a related patch set uploaded (by Anne Tomasevich; owner: Anne Tomasevich):
[mediawiki/extensions/WikibaseMediaInfo@master] Only resize image URL in QuickView panel if resizeUrl() exists

https://gerrit.wikimedia.org/r/641321

Change 641321 merged by Eric Gardner:
[mediawiki/extensions/WikibaseMediaInfo@master] Only resize image URL in QuickView panel if resizeUrl() exists

https://gerrit.wikimedia.org/r/641321

Etonkovidova closed this task as Resolved.Dec 9 2020, 11:31 PM